> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custom Field

> Delete an existing custom field



## OpenAPI

````yaml delete /custom_field
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /custom_field:
    delete:
      tags:
        - Custom Field
      summary: Delete Custom Field
      description: Delete an existing custom field
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Custom field ID
          schema:
            type: string
          required: true
        - name: created_at
          in: query
          description: Custom field creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of custom field
          schema:
            type: string
        - name: description
          in: query
          description: Custom field description
          schema:
            type: string
        - name: type
          in: query
          description: Typ of custom field
          schema:
            type: string
        - name: key
          in: query
          description: Custom field key
          schema:
            type: string
        - name: entity
          in: query
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_field'
          description: The updated Custom Field object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    custom_field:
      type: object
      properties:
        id:
          type: string
          description: Custom field ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Custom field creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of custom field
          format: text
        description:
          type: string
          description: Custom field description
          format: text
          nullable: true
        type:
          type: string
          description: Typ of custom field
          format: public.field_type
          enum:
            - string
            - datetime
            - boolean
            - number
            - date
            - string_list
        key:
          type: string
          description: Custom field key
          format: text
        entity:
          type: string
          format: public.custom_field_entity
          enum:
            - contact
            - deal
            - appointment
          default: contact
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````